using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ch10_2
{
    [Serializable]
    public class Record
    {
        private int stNo;
        private string FName;
        private string LName;
        private float grade;
        public Record()
        {
            stNo = 0;
            FName = "";
            LName = "";
            grade = 0;
        }
        public Record(int stNoValue, string FNameValue, string LNameValue, float gradeValue)
        {
            stNo = stNoValue;
            FName = FNameValue;
            LName = LNameValue;
            grade = gradeValue;
        }
        public int StNo
        {
            get
            {
                return stNo;
            }
            set
            {
                stNo = value;
            }
        }
        public string fName
        {
            get
            {
                return FName;
            }
            set
            {
                FName = value;
            }
        }
        public string lName
        {
            get
            {
                return LName;
            }
            set
            {
                LName = value;
            }
        }
        public float Grade
        {
            get
            {
                return grade;
            }
            set
            {
                grade = value;
            }
        }
    }
}
